package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclInsurerBranchDept;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AclInsurerBranchDeptMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclInsurerBranchDept record);

    int insertSelective(AclInsurerBranchDept record);

    AclInsurerBranchDept selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclInsurerBranchDept record);

    int updateByPrimaryKey(AclInsurerBranchDept record);

    int updateBatch(List<AclInsurerBranchDept> list);

    int updateBatchSelective(List<AclInsurerBranchDept> list);

    int batchInsert(@Param("list") List<AclInsurerBranchDept> list);
}